@ECHO OFF

REM Load "ESSAUDIO.SYS" in config.sys.
REM It changes the IRQ of the host bridge PCI device to the IRQ set in ESSAUDIO.INI (e.g. from 11 to 7)
REM Without it, sound in Doom didn't work (but it did in some other games)
REM It doesn't stay in memory so DEVICE= or DEVICEHIGH= doesn't matter
REM
REM NOTE: when ESSAUDIO.SYS is loaded, IRQ conflicts can occur in Windows that causes a
REM rave-like noise to come from the speakers. Solution: a CONFIG.SYS boot menu that only
REM loads ESSAUDIO.SYS in DOS (or when you want to play a game doesn't work without it, like Doom)
REM
REM NOTE 2: Doom only works when started with DOS32A. DOS4GW crashes for some reason

SET DEVICEID=1988
SET VENDORID=125D

C:\ESSAUDIO

SET BLASTER=A220 I5 D1 T4

REM Enable "legacy sound", set MIDI IRQ to 9 and SB IRQ to 5
PCISET %DEVICEID% %VENDORID% 41 10111111 00001000

REM Set SB DMA to 1, disable MPU-401, disable gameport, enable FM synth and SB
PCISET %DEVICEID% %VENDORID% 40 01111111 11000011

REM Set some DMA settings. See ES1988 data sheet for their meaning
PCISET %DEVICEID% %VENDORID% 51 11110111 11000100

REM Set MPU-401 to 330 and SB I/O to 22x
PCISET %DEVICEID% %VENDORID% 50 00011100 00000000

REM Enable hardware volume control
PCISET %DEVICEID% %VENDORID% 52 11000000 11000000

REM These settings were not needed to get sound working
REM but might be useful for other things

REM PCISET %DEVICEID% %VENDORID% 61 11111111 00000000

REM PCISET %DEVICEID% %VENDORID% 60 11110001 00000000
